require "player"
require "enemys"
require "bullet"
require "titlescreen"
require "gameover"

function love.load()
	game = {state = "menu", mobs = love.graphics.newImage("mobs.png"), font = love.graphics.newFont("font.ttf",24), score = 0, explode1 = love.audio.newSource(love.sound.newSoundData("explode1.wav"))}
	game.shoot = love.audio.newSource(love.sound.newSoundData("shoot.wav"))
	game.mobs:setFilter("nearest")
	game.font:setFilter("nearest")
	
	love.graphics.setFont(game.font)
	love.graphics.setBackgroundColor(15,0,60)
	
	player_load()
	title_load()
end

function love.update(dt)
	if game.state == "gameover" then
		go_update()
	end
	
	if game.state == "menu" then
		title_update(dt)
	end

	if game.state == "playing" then
		enemys_update(dt)
		player_update(dt)
		bullet_update(dt)
	end
end

function love.draw()
	if game.state == "playing" then
		enemys_draw()
		player_draw()
		bullet_draw()
		love.graphics.setColor(0,255,30)
		love.graphics.print("SCORE:"..game.score,0,305)
	end
	
	if game.state == "menu" then
		title_draw()
	end
	
	if game.state == "gameover" then
		go_draw()
	end
end

function love.keypressed(key)
	if game.state == "playing" then
		player_shoot(key)
	end
	
	if game.state == "menu" then
		title_press(key)
	end
	
	if game.state == "gameover" then
		if key == "x" then
			game.state = "playing"
		end
	end
end